Bug 145815 - Package description paths wrong
Package description paths wrong
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: specspo (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bernd Groh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-21 16:10 EST by Chris Jones
Modified: 2014-06-18 04:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 16:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Jones 2005-01-21 16:10:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20050110 Firefox/1.0 (Debian package 1.0+dfsg.1-2)

Description of problem:
Package info says...

* Run /var/mailman/bin/mmsitepass
to set the mailman administrator password.
<snip>

Which should realy be /usr/lib/mailman/bin

All the paths in this blurb are wrong

Version-Release number of selected component (if applicable):
mailman-2.1.5-26

How reproducible:
Always

Steps to Reproduce:
1. Install mailman package
2. Read the package blurb (yum search mailman)
3. Try to follow the instructions
4. Become frustrated because the paths are all wrong

Actual Results:  I became frustrated becasue the paths were all wrong

Expected Results:  The paths provided in the package blurb should exist

Additional info:
Comment 1 John Dennis 2005-01-21 17:51:06 EST
The paths are very clearly documented in /usr/share/doc/mailman-
*/INSTALL.REDHAT which are the installation instructions. The spec file 
description also points at this file for installation instructions. Could you 
be specific where you got the information and where the paths were wrong.
Comment 2 John Dennis 2005-01-21 17:59:12 EST
One possible way to have gotten an old outdated package description is if you 
have the rpm specspo installed. As long as you don't need foreign language 
translations you can remove this package and see if yum then gives you the 
current mailman description. What may have happened is that specspo contains 
translations for rpm descriptions and its way out of date, but if its 
installed rpm (which I believe yum invokes for the description) will prefer to 
give the text from specspo rather than what is actually in the rpm. I'd be 
really curious if this was your problem.
Comment 3 Chris Jones 2005-01-21 18:06:34 EST
I agree they are very clearly setout in the INSTALL.REDHAT file

I got the information by typeing 'yum search mailman' on a fresh fc3 install
which outputs

*-* Start Output *-*

mailman.i386                             3:2.1.5-26             base
Matched from:
mailman
Mailman is software to help manage email discussion lists, much like
Majordomo and Smartmail. Unlike most similar products, Mailman gives
each mailing list a webpage, and allows users to subscribe,
unsubscribe, etc. over the Web. Even the list manager can administer
his or her list entirely from the Web. Mailman also integrates most
things people want to do with mailing lists, including archiving, mail
<-> news gateways, and so on.

Documentation can be found in: /usr/share/doc/mailman-2.1.5

When the package has finished installing, you will need to perform some
additional installation steps, these are described in:
/usr/share/doc/mailman-2.1.5/INSTALL.REDHAT


mailman.i386                             3:2.1.5-26             installed
Matched from:
mailman
Mailman is software to help manage email discussion lists, much like
Majordomo and Smartmail. Unlike most similar products, Mailman gives
each mailing list a webpage, and allows users to subscribe,
unsubscribe, etc. over the Web. Even the list manager can administer
his or her list entirely from the Web. Mailman also integrates most
things people want to do with mailing lists, including archiving, mail
<-> news gateways, and so on.

When the package has finished installing, you will need to:

* Run /var/mailman/bin/mmsitepass
to set the mailman administrator password.
* Edit /var/mailman/Mailman/mm_cfg.py
to customize mailman's configuration for your site.
* Modify the sendmail configuration to ensure that it is running and
accepting connections from the outside world (to ensure that it runs,
set "DAEMON=yes" in /etc/sysconfig/sendmail, ensuring that it accepts
connections from the outside world may require modifying
/etc/mail/sendmail.mc and regenerating sendmail.cf), and
* Add these lines:
ScriptAlias /mailman/ /var/mailman/cgi-bin/
Alias /pipermail/ /var/mailman/archives/public/
<Directory /var/mailman/archives>
Options +FollowSymlinks
</Directory>
to /etc/httpd/conf/httpd.conf to configure your Web server.

Users upgrading from previous releases of this package may need to
move their data or adjust the configuration files to point to the
locations where their data is.

*-* Stop Output *-*

Comment 4 John Dennis 2005-01-21 18:09:21 EST
I just did a test, the output is coming from specspo and is outdated. I'm 
reassigning this bug to specspo.
Comment 5 Matthew Miller 2006-07-10 16:47:09 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 Sitsofe Wheeler 2006-07-12 16:36:37 EDT
I can't reproduce this bug with yum on FC5...
Comment 7 Matthew Miller 2006-07-12 16:40:51 EDT
Thanks for checking. Marking working in FC5.

Note You need to log in before you can comment on or make changes to this bug.